/** @category Errors */
class TaskError extends Error {
  name = 'TaskError';
}

/** @category Errors */
class TaskIsAlreadyRunningError extends TaskError {
  name = 'TaskIsAlreadyRunningError';
  constructor() {
    const message = `Trying to re-run a task that hasn't completed yet. ` + `Ensure the task has completed using "await" before trying to run it again.`;
    super(message);
  }
}

export { TaskError, TaskIsAlreadyRunningError };
//# sourceMappingURL=errors.mjs.map
